* add computed lags
gen emplag1 = 2*denom - emp
gen firmslag1 = firms + firmdeath_firms

* adjusted job creation for age 0
ren job_creation job_creation2
ren net_job_creation net_job_creation2
ren job_creation_births job_creation_births2

* add totals by year 
egen long jctot = sum(job_creation2), by(year2 sicg)
egen long jdtot = sum(job_destruction), by(year2 sicg)
egen long njctot = sum(net_job_creation2), by(year2 sicg)
egen long denomtot = sum(denom), by(year2 sicg)
egen long emptot = sum(emp), by(year2 sicg)
egen long firmstot = sum(firms), by(year2 sicg)
egen long emplag1tot = sum(emplag1), by(year2 sicg)
egen long firmslag1tot = sum(firmslag1), by(year2 sicg)

* add shares
gen empshr = emp/emptot 
gen firmsshr = firms/firmstot
gen emplag1shr = emplag1/emplag1tot
gen firmslag1shr = firmslag1/firmslag1tot

* job creation/destruction measures
gen jcr = job_creation2/emplag1
gen jcr_b = job_creation_births2/emplag1
gen jcr_c = job_creation_continuers/emplag1
gen jcr_s = job_creation2/(emplag1 - firmdeath_emp)
gen jdr = job_destruction/emplag1
gen jdr_c = job_destruction_continuers/emplag1
gen jdr_s = (job_destruction - firmdeath_emp)/(emplag1 - firmdeath_emp)
gen jdr_ed = job_destruction_deaths/emplag1
gen jdr_fd = firmdeath_emp/emplag1
gen njcr = jcr - jdr


* aggregate across age groups job creation/destruction
egen jcrtot = sum(jcr*emplag1shr), by (year2 sicg)
egen jdrtot = sum(jdr*emplag1shr), by (year2 sicg)
egen njcrtot = sum((jcr-jdr)*emplag1shr), by(year2 sicg)

* firm survival measures
gen firmsurv = firms/firmslag1
gen fcr = -firmdeath_firms/firmslag1tot

* average firm size measures 
* firm characteristics by age and year
gen avgsize = emp/firms
gen avgsizelag1 = emplag1/firmslag1
gen avgsizegrowth = avgsize/avgsizelag1
